Bug 426057 - NMI code does not support AMD family 0x6
NMI code does not support AMD family 0x6
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Bhavna Sarathy
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-17 21:09 EST by CAI Qian
Modified: 2009-05-01 12:41 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-01 12:41:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/proc/cpuinfo (402 bytes, text/plain)
2007-12-17 21:09 EST, CAI Qian
no flags Details
uname -ra (114 bytes, text/plain)
2007-12-17 21:10 EST, CAI Qian
no flags Details
/proc/interrupts (588 bytes, text/plain)
2007-12-17 21:11 EST, CAI Qian
no flags Details
dmesg when nmi_watchdog=1 (13.70 KB, text/plain)
2007-12-17 21:11 EST, CAI Qian
no flags Details
dmesg when nmi_watchdog=2 (13.67 KB, text/plain)
2007-12-17 21:11 EST, CAI Qian
no flags Details

  None (edit)
Description CAI Qian 2007-12-17 21:09:31 EST
Description of problem:
NMI watchdog does not work for machines with AMD family 0x6 processors.

Version-Release number of selected component (if applicable):
RHEL5.2-Server-20071217.nightly
Not work for the latest 4.6.z kernel (2.6.9-67.0.1) too.

How reproducible:
always

Steps to Reproduce:
reserved athlon3.rhts.boston.redhat.com (i386) from RHTS. Booted it with either
nmi_watchdog=1 or nmi_watchdog=2.
  
Actual results:
NMI count is always zero in /proc/interrupts, and also the following appeared in
dmesg,

powernow-k8: Processor cpuid 621 not supported
Testing NMI watchdog ... CPU#0: NMI appears to be stuck (0->0)!

Expected results:
NMI count should be increment.

Additional info:
See attachments for /proc/cpuinfo, /proc/interrupts, uname -ra, and dmesg.
Comment 1 CAI Qian 2007-12-17 21:09:31 EST
Created attachment 289838 [details]
/proc/cpuinfo
Comment 2 CAI Qian 2007-12-17 21:10:40 EST
Created attachment 289839 [details]
uname -ra
Comment 3 CAI Qian 2007-12-17 21:11:09 EST
Created attachment 289840 [details]
/proc/interrupts
Comment 4 CAI Qian 2007-12-17 21:11:36 EST
Created attachment 289841 [details]
dmesg when nmi_watchdog=1
Comment 5 CAI Qian 2007-12-17 21:11:59 EST
Created attachment 289842 [details]
dmesg when nmi_watchdog=2
Comment 10 Prarit Bhargava 2007-12-18 11:21:36 EST
Bhavana, AFAWCT family 0x6 + NMI has never worked.  Did AMD put an explicit
request in to get this working?

I thought the earlier bugs were for family 15 & 16 ...

P.
Comment 11 CAI Qian 2009-05-01 12:41:09 EDT
I'll close this one out due to NMI on this old type of processor seems never working before.

Note You need to log in before you can comment on or make changes to this bug.